%global pypi_name rpds-py
%global srcname rpds_py

Name:           python-%{pypi_name}
Version:        0.18.1
Release:        %mkrel 1
Summary:        Python bindings to Rust's persistent data structures (rpds)
Group:          Development/Python
License:        MIT
URL:            https://github.com/crate-py/rpds
Source:         %{pypi_source}
Source1:        vendor-%{version}.tar.xz
Source2:        cargo_config

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  cargo
BuildRequires:  python3dist(maturin)

%description
Python bindings to the Rust rpds crate for persistent data structures.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Python bindings to the Rust rpds crate for persistent data structures.

%prep
%autosetup -a1 -p1 -n %{srcname}-%{version}

mkdir .cargo
cp %{SOURCE2} .cargo/config

%generate_buildrequires
%pyproject_buildrequires

%build
export RUSTFLAGS="%{build_rustflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rpds

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sat May 18 2024 papoteur <papoteur> 0.18.1-1.mga10
+ Revision: 2064743
- new version 0.18.1

* Thu Apr 04 2024 papoteur <papoteur> 0.18.0-1.mga10
+ Revision: 2054273
- new version 0.18.0

* Sat Jan 20 2024 papoteur <papoteur> 0.16.2-1.mga10
+ Revision: 2033013
- new version 0.16.2

* Mon Dec 25 2023 wally <wally> 0.13.2-3.mga10
+ Revision: 2021470
- rebuild for py3.12

* Wed Dec 06 2023 wally <wally> 0.13.2-2.mga10
+ Revision: 2013567
- build using %%build_rustflags

* Tue Dec 05 2023 papoteur <papoteur> 0.13.2-1.mga10
+ Revision: 2013405
- imported package python-rpds-py

